org.aspectj.weaver.loadtime.definition

## Class LightXMLParser

- java.lang.Object
- - org.aspectj.weaver.loadtime.definition.LightXMLParser

    public class LightXMLParser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LightXMLParser()`

### Method Summary

Methods
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()`
`java.util.ArrayList` `getChildrens()`
`java.lang.String` `getName()`
`void` `parseFromReader(java.io.Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LightXMLParser

    public LightXMLParser()

### Method Detail

#### getChildrens

    public java.util.ArrayList getChildrens()

#### getName

    public java.lang.String getName()

#### parseFromReader

    public void parseFromReader(java.io.Reader reader)
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()